#### D.5.11.3 StartOrderingV

Procedure from library `JMBTest.lib` (see JMBTest_lib).

Usage:
  StartOrdina(V,G); V list, G list

Return:
  list: R

Note:
  Input Vm,G. This procedure uses OrderingV to get
  the ordered polynomials as in [BCLR].

Example:

    LIB "JMBTest.lib";
    ring r=0, (x,y,z), rp;
    jmp r1;
    r1.h=z^3;
    r1.t=poly(0);
    jmp r2;
    r2.h=z^2*y;
    r2.t=poly(0);
    jmp r3;
    r3.h=z*y^2;
    r3.t=-x^2*y;
    jmp r4;
    r4.h=y^5;
    r4.t=poly(0);
    list G2F=list(list(r1,r2,r3),list(r4));
    StartOrderingV(VConst(G2F,4,basering)[1],G2F);
    ==> [1]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       1
    ==>    [3]:
    ==>       3
    ==> [2]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       1
    ==>    [3]:
    ==>       2
    ==> [3]:
    ==>    [1]:
    ==>       1
    ==>    [2]:
    ==>       1
    ==>    [3]:
    ==>       1

User manual for Singular version 4-0-3, 2016, generated by texi2html.